Index: LMDZ6/trunk/libf/phylmd/StratAer/calcaerosolstrato_rrtm.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/calcaerosolstrato_rrtm.f90	(revision 5282)
+++ LMDZ6/trunk/libf/phylmd/StratAer/calcaerosolstrato_rrtm.f90	(revision 5285)
@@ -14,6 +14,5 @@
 
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
-          ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
+USE paramet_mod_h
 IMPLICIT NONE
 
Index: LMDZ6/trunk/libf/phylmd/StratAer/coagulate.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/coagulate.f90	(revision 5282)
+++ LMDZ6/trunk/libf/phylmd/StratAer/coagulate.f90	(revision 5285)
@@ -23,16 +23,5 @@
   !     -----------------------------------------------------------------------
 
-  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+  USE yomcst_mod_h
   USE dimphy, ONLY : klon,klev
   USE aerophys
Index: LMDZ6/trunk/libf/phylmd/StratAer/nucleation_tstep_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/nucleation_tstep_mod.f90	(revision 5282)
+++ LMDZ6/trunk/libf/phylmd/StratAer/nucleation_tstep_mod.f90	(revision 5285)
@@ -8,16 +8,5 @@
 SUBROUTINE nucleation_rate(rhoa,t_seri,pplay,rh,a_xm,b_xm,c_xm,nucl_rate,ntot_n,x_n)
 
-  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+  USE yomcst_mod_h
   USE aerophys
   USE infotrac_phy
@@ -342,16 +331,5 @@
   !
 
-  USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+  USE yomcst_mod_h
   USE aerophys
 
Index: LMDZ6/trunk/libf/phylmd/StratAer/strataer_emiss_mod.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/StratAer/strataer_emiss_mod.f90	(revision 5282)
+++ LMDZ6/trunk/libf/phylmd/StratAer/strataer_emiss_mod.f90	(revision 5285)
@@ -214,16 +214,5 @@
   SUBROUTINE strataer_ponde_init()
 
-    USE yomcst_mod_h, ONLY: RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
+    USE yomcst_mod_h
 USE regular_lonlat_mod, ONLY: lon_reg, lat_reg
     USE dimphy, ONLY: klon
